VERSION 5.00
Begin VB.Form f_Main 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Create ODBC DSN"
   ClientHeight    =   4035
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4680
   Icon            =   "f_Main.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4035
   ScaleWidth      =   4680
   StartUpPosition =   2  'CenterScreen
   Begin VB.ComboBox cmbDrivers 
      Height          =   315
      Left            =   1530
      Sorted          =   -1  'True
      TabIndex        =   20
      Top             =   990
      Width           =   3030
   End
   Begin VB.CommandButton cmdValid 
      Caption         =   "Valid"
      Height          =   330
      Left            =   2265
      TabIndex        =   19
      Top             =   3600
      Visible         =   0   'False
      Width           =   780
   End
   Begin VB.CommandButton cmdODBC 
      Caption         =   "Show"
      Height          =   330
      Left            =   1485
      TabIndex        =   18
      Top             =   3600
      Width           =   780
   End
   Begin VB.CheckBox chkSystem 
      Alignment       =   1  'Right Justify
      Caption         =   "System DSN:"
      Height          =   285
      Left            =   45
      TabIndex        =   17
      Top             =   1350
      Width           =   1680
   End
   Begin VB.TextBox txtDriver 
      Height          =   330
      Left            =   1530
      TabIndex        =   15
      Text            =   "SQL Server"
      Top             =   990
      Visible         =   0   'False
      Width           =   3030
   End
   Begin VB.CommandButton cmdDelete 
      Caption         =   "Delete"
      Height          =   330
      Left            =   3825
      TabIndex        =   14
      Top             =   3600
      Width           =   780
   End
   Begin VB.CommandButton cmdCreate 
      Caption         =   "Create"
      Height          =   330
      Left            =   3045
      TabIndex        =   13
      Top             =   3600
      Width           =   780
   End
   Begin VB.TextBox txtUser 
      Height          =   330
      Left            =   1530
      TabIndex        =   12
      Top             =   2745
      Width           =   3030
   End
   Begin VB.CheckBox chkIntegratedSecurity 
      Alignment       =   1  'Right Justify
      Caption         =   "Integrated Security"
      Height          =   285
      Left            =   45
      TabIndex        =   11
      Top             =   2430
      Width           =   1680
   End
   Begin VB.TextBox txtPassword 
      Height          =   330
      Left            =   1530
      TabIndex        =   8
      Top             =   3150
      Width           =   3030
   End
   Begin VB.TextBox txtDatabase 
      Height          =   330
      Left            =   1530
      TabIndex        =   3
      Top             =   2070
      Width           =   3030
   End
   Begin VB.TextBox txtServer 
      Height          =   330
      Left            =   1530
      TabIndex        =   2
      Top             =   1665
      Width           =   3030
   End
   Begin VB.TextBox txtDesc 
      Height          =   330
      Left            =   1530
      TabIndex        =   1
      Top             =   585
      Width           =   3030
   End
   Begin VB.TextBox txtName 
      Height          =   330
      Left            =   1530
      TabIndex        =   0
      Top             =   180
      Width           =   3030
   End
   Begin VB.Label Label7 
      Caption         =   "Driver:"
      Height          =   240
      Left            =   90
      TabIndex        =   16
      Top             =   1035
      Width           =   1320
   End
   Begin VB.Label Label6 
      Caption         =   "Password:"
      Height          =   240
      Left            =   90
      TabIndex        =   10
      Top             =   3195
      Width           =   1320
   End
   Begin VB.Label Label5 
      Caption         =   "User:"
      Height          =   240
      Left            =   90
      TabIndex        =   9
      Top             =   2790
      Width           =   1320
   End
   Begin VB.Label Label4 
      Caption         =   "Database:"
      Height          =   240
      Left            =   90
      TabIndex        =   7
      Top             =   2115
      Width           =   1320
   End
   Begin VB.Label Label3 
      Caption         =   "Server:"
      Height          =   240
      Left            =   90
      TabIndex        =   6
      Top             =   1710
      Width           =   1320
   End
   Begin VB.Label Label2 
      Caption         =   "Description:"
      Height          =   240
      Left            =   90
      TabIndex        =   5
      Top             =   630
      Width           =   1320
   End
   Begin VB.Label Label1 
      Caption         =   "Name:"
      Height          =   240
      Left            =   90
      TabIndex        =   4
      Top             =   225
      Width           =   1320
   End
End
Attribute VB_Name = "f_Main"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub chkIntegratedSecurity_Click()

If Me.chkIntegratedSecurity.Value = 1 Then
    Me.txtUser.Text = ""
    Me.txtUser.Enabled = False
    Me.txtPassword.Text = ""
    Me.txtPassword.Enabled = False
Else
    Me.txtUser.Enabled = True
    Me.txtPassword.Enabled = True
End If

End Sub

Private Sub cmdCreate_Click()
    Me.CreateDSN
End Sub

Private Sub cmdDelete_Click()
    'Delete the new DSN
Dim tDSNDetails As tDSNAttrib
Dim asFile As Boolean

    With tDSNDetails
        .Database = Me.txtDatabase
        .Driver = Me.cmbDrivers.Text
        .Server = Me.txtServer
        .TrustedConnection = (Me.chkIntegratedSecurity.Value = vbChecked)  'Use NT authentication
        .Password = Me.txtPassword
        .UserID = Me.txtUser
        .Dsn = Me.txtName
        .Description = Me.txtDesc
        .Type = ServerBased
        .SystemDSN = (Me.chkSystem.Value = vbChecked)           'Create a System DSN
        
        If .Driver = "SQL Server" And .TrustedConnection = False Then
            asFile = True
        End If
    End With
    If DSNDelete(tDSNDetails.Dsn, tDSNDetails.Driver, tDSNDetails.SystemDSN, asFile) Then
        MsgBox "DSN is deleted: " & Me.txtName
    Else
        MsgBox "Failed to Delete DSN"
    End If

End Sub

Private Sub cmdODBC_Click()
    mODBC.ShowODBC Me.HWND
End Sub

Private Sub cmdValid_Click()
    If mODBC.IsValidDSN(Me.txtName.Text) Then
        MsgBox "OK", vbInformation
    Else
        MsgBox "FALSE", vbExclamation
    End If
End Sub

Private Sub Form_Load()
    mODBC.GetAllDrivers Me.cmbDrivers
    chkIntegratedSecurity_Click
End Sub

Friend Sub CreateDSN()
Dim tDSNDetails As tDSNAttrib

    With tDSNDetails
        .Database = Me.txtDatabase
        .Driver = Me.cmbDrivers.Text
        .Server = Me.txtServer
        .TrustedConnection = (Me.chkIntegratedSecurity.Value = vbChecked)  'Use NT authentication
        .Password = Me.txtPassword
        .UserID = Me.txtUser
        .Dsn = Me.txtName
        .Description = Me.txtDesc
        .Type = ServerBased
        .SystemDSN = (Me.chkSystem.Value = vbChecked)           'Create a System DSN
    End With
    If DSNCreate(tDSNDetails) Then
        MsgBox "Created system DSN"
    Else
        MsgBox "Failed to Create DSN"
    End If
    
End Sub
